# $Revision: 1.11 $, $Date: 2008/06/16 18:17:53 $
%bcond_without	tests
#
%define		snap	20080616
%define		module	rcsparse
Summary:	Module for parsing RCS files
Summary(pl.UTF-8):	Moduł do analizy plików RCS
Name:		python-%{module}
Version:	0.1
Release:	0.%{snap}.1
License:	GPL
Group:		Libraries/Python
# http://guest@http://viewvc.tigris.org/svn/viewvc/trunk/lib/vclib/ccvs/rcsparse/
Source0:	%{module}-%{snap}.tar.bz2
# Source0-md5:	b0fce6886163f58a6ba3816b9dc25e69
URL:		http://www.viewvc.org/
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rcsparse.py is a Python module parsing RCS files.

%description -l pl.UTF-8
rcsparse.py to moduł Pythona do analizy plików RCS.

%prep
%setup -q -n %{module}

%build
%{?with_tests:%{__python} run-tests.py}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}

install *.py	$RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}

rm $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/rcsparse
%{py_sitescriptdir}/rcsparse/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-rcsparse.spec,v $
Revision 1.11  2008/06/16 18:17:53  arekm
- up to 20080616 snap

Revision 1.10  2008-05-07 18:40:06  qboosh
- BR: rpm-pythonprov

Revision 1.9  2007-09-04 14:53:18  baggins
- rel .4

Revision 1.8  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.6  2004/12/26 17:48:37  saq
- release 3 for rebuild with python 2.4

Revision 1.5  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/01/19 14:34:46  jajcus
- Release: .2
- new architecture-independent python modules paths

Revision 1.3  2003/10/25 23:20:10  arekm
- add compat to rcsparse package

Revision 1.2  2003/10/12 19:04:41  qboosh
- pl

Revision 1.1  2003/09/25 01:11:49  arekm
- initial pld release
